<?php

// Connection Component Binding
Doctrine_Manager::getInstance()->bindComponent('CBR_COMITE_NOTIFICA', 'doctrine');

/**
 * Description of BaseCBR_COMITE_NOTIFICA
 *
 * @author MANUEL ENRIQUE PAREDS LOPEZ
 */
abstract class BaseCBR_COMITE_NOTIFICA extends sfDoctrineRecord {

    public function setTableDefinition() {
        $this->setTableName('CBR_COMITE_NOTIFICA');

        $this->hasColumn('id_comite_notifica', 'integer', 20, array(
            'type' => 'integer',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => true,
            'length' => 20,
        ));
        $this->hasColumn('id_comite_termina', 'integer', 20, array(
            'type' => 'integer',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => true,
            'length' => 20,
        ));
        $this->hasColumn('id_comite_cartera', 'integer', 20, array(
            'type' => 'integer',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => true,
            'length' => 20,
        ));
        $this->hasColumn('fecha', 'timestamp', 7, array(
            'notnull' => true,
            'type' => 'timestamp',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => false,
            'length' => 7,
        ));
        $this->hasColumn('observaciones', 'string', 4000, array(
            'notnull' => true,
            'type' => 'string',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => false,
            'length' => 4000,
        ));
        $this->hasColumn('adjunto', 'string', 100, array(
            'notnull' => true,
            'type' => 'string',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => false,
            'length' => 100,
        ));
        $this->hasColumn('estado', 'integer', 1, array(
            'notnull' => true,
            'type' => 'integer',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => false,
            'length' => 1,
        ));
        $this->hasColumn('fecha_log', 'timestamp', 7, array(
            'notnull' => true,
            'type' => 'timestamp',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => false,
            'length' => 7,
        ));
        $this->hasColumn('usuario_log', 'integer', 20, array(
            'notnull' => true,
            'type' => 'integer',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => false,
            'length' => 20,
        ));
    }

    public function setUp() {
        parent::setUp();
    }

}
